Skip to main content
GET
/
instagram
/
niches
cURL
curl -X GET "https://apiv3.creatordb.app/instagram/niches"\
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": [
    {
      "id": "id_love_All",
      "name": "love",
      "category": "All",
      "channelCount": 467198
    },
    {
      "id": "id_viral_All",
      "name": "viral",
      "category": "All",
      "channelCount": 364528
    },
    {
      "id": "id_fyp_All",
      "name": "fyp",
      "category": "All",
      "channelCount": 338353
    },
    {
      "id": "id_instagram_All",
      "name": "instagram",
      "category": "All",
      "channelCount": 320296
    },
    {
      "id": "id_christmas_All",
      "name": "christmas",
      "category": "All",
      "channelCount": 317930
    },
    {
      "id": "id_instagood_All",
      "name": "instagood",
      "category": "All",
      "channelCount": 292027
    },
    {
      "id": "id_explore_All",
      "name": "explore",
      "category": "All",
      "channelCount": 277757
    },
    {
      "id": "id_travel_All",
      "name": "travel",
      "category": "All",
      "channelCount": 267931
    },
    {
      "id": "id_music_All",
      "name": "music",
      "category": "All",
      "channelCount": 253719
    },
    {
      "id": "id_family_All",
      "name": "family",
      "category": "All",
      "channelCount": 253392
    },
    {
      "id": "id_fashion_All",
      "name": "fashion",
      "category": "All",
      "channelCount": 250567
    }
  ],
  "traceId": "fd1210c8a36844a7fcee90d4e13ace34",
  "timestamp": 1772092953767,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Response

Instagram niches data returned successfully.

Instagram Niches API response with all available niches.

data
object[]
required

Instagram niches.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026